function [v,w] = test_gradientDescent(numCase);
% Function for testing the gradient_descent adaptive algorithm
% Case study: linear prediction for a second-order AR process: u[n]+a1*u[n-1]+a2*u[n-2]=v[n];

rp.mu = 0.3; % adaptation constant
rp.Nn = 200; % number of iterations

switch numCase
    case 1
        rp.a1=-0.1950; rp.a2=0.95; rp.Jmin = 3; xl=20; 2.2;
    case 2
        rp.a1=-0.9750; rp.a2=0.95; rp.Jmin = 0.0731; xl=5; yl=3;
    case 3
        rp.a1=-1.5955; rp.a2=0.95; rp.Jmin = 0.0322; xl=6; yl=4.3;
    case 4
        rp.a1=-1.9114; rp.a2=0.95; rp.Jmin = 0.0038; xl=6; yl=8.2;
end
rp.lam1=(1-((rp.a1)/(1+rp.a2)));
rp.lam2=(1+((rp.a1)/(1+rp.a2)));

[v, w]=steepest_descent(rp);
make_plot(v, w, rp, 5, xl, yl,'Error function','Error function')


